EBOOK-POLISH(1)

NAME
ebook-polish - ebook-polish

            ebook-polish [opzioni] file_di_input [file_di_output]

La rifinitura dei libri è ciò che ti serve per raggiungere il non plus ultra negli e-book che con cura hai costruito.

La rifinitura prova a minimizzare i cambiamenti al codice interno del tuo e-book. Diversamente dalla conversione, non appiattisce il CSS, rinomina file, cambia la dimensione dei caratteri, modifica i margini, ecc. Ogni azione effettua solo i minimi cambiamenti necessari ad ottenere l'effetto desiderato.

Dovresti usare questo strumento come ultimo passo nel processo di creazione del tuo e-book.

Nota che la rifinitura funziona solo sui file nei formati AZW3 oppure EPUB oppure KEPUB.

Ogni qualvolta vengono passati argomenti con degli spazi a ebook-polish, è necessario mettere l'argomento fra virgolette. Ad esempio: "/some path/with spaces"

[OPZIONI]

    --add-soft-hyphens, -H
        Aggiungi trattini morbidi a tutte le parole nel libro. Questo permette al libro di essere impaginato meglio quando il testo è giustificato, nei lettori che non supportano la divisione in sillabe.

    --compress-images, -i
        Comprimi le immagini nel libro per ridurre le dimensioni del file senza alcuna perdita di qualità.

    --cover, -c
        Percorso di un'immagine di copertina. Cambia la copertina specificata nell'e-book. Se nessuna copertina è presente, o se la copertina non è identificata correttamente, viene inserita una nuova copertina.

    --download-external-resources, -d
        Scarica le risorse esterne come immagini, fogli di stile, ecc. che puntano a URL invece che a file nel libro. Tutte queste risorse verranno scaricate e aggiunte al libro, così che esso non faccia più riferimento ad alcuna risorsa esterna.

    --embed-fonts, -e
        Incorpora tutti i caratteri che sono referenziati nel documento ma non ancora incorporati. Verranno cercati i caratteri nel computer e, se trovati, verranno incorporati nel documento. Assicurati di avere una licenza valida per l'incorporamento dei caratteri usati nel documento.

    --help, -h
        mostra questo messaggio di aiuto ed esci

    --jacket, -j
        Inserisci una pagina di "sovracopertina" all'inizio del libro che contiene tutti i metadati del libro come titolo, tag, autori, serie, commenti, ecc. Ogni sovracopertina precedente sarà rimpiazzata.

    --opf, -o
        Percorso a un file OPF. I metadati nel libro sono aggiornati dal file OPF.

    --remove-jacket
        Rimuovi una sovracopertina inserita precedentemente.

    --remove-soft-hyphens
        Rimuovi i trattini morbidi da tutto il testo del libro.

    --remove-unused-css, -u
        Rimuovi tutte le regole CSS non utilizzate dai fogli di stile e i tag <style&gt. Alcuni libri creati da modelli professionali possono avere un gran numero di regole CSS che non corrispondono ad alcun contenuto effettivo. Le regole aggiuntive tendono a diminuire le prestazioni dei dispositivi di lettura.

    --smarten-punctuation, -p
        Converti trattini, parentesi, apici, apostrofi, ecc. nelle loro rispettive forme tipografiche corrette. L'algoritmo potrebbe generare a volte risultati indesiderati, specialmente quando si presentano apici singoli all'inizio di contrazioni.

    --subset-fonts, -f
        Creare un sottoinsieme dei caratteri significa fare in modo che un carattere integrato contenga solo i simboli utilizzati da quel carattere nel libro. Ciò riduce di molto la dimensione dei file dei caratteri (è comune dimezzarne la dimensione). Ad esempio, se il libro usa un carattere specifico per i titoli, la riduzione farà si che quel carattere contenga solo i simboli presenti attualmente nei titoli del libro. Oppure se il libro contiene la versione in corsivo e in grassetto di un carattere, ma il testo in grassetto o in corsivo è relativamente raro, oppure completamente assente, allora i caratteri in corsivo e grassetto possono essere ridotti a solamente alcuni simboli, oppure completamente eliminati. L'unico svantaggio del ridurre i caratteri è che, se in seguito vuoi aggiungere altro testo al tuo libro, per il testo aggiunto potrebbero non essere sufficienti i caratteri integrati

    --upgrade-book, -U
        Aggiorna la struttura interna del libro, se possibile. Per esempio, aggiorna libri in formato EPUB 2 a EPUB3.

    --verbose
        Genera un risultato più prolisso, utile per debug.

    --version
        mostra la versione del programma ed esci

Author
Kovid Goyal

Copyright
Kovid Goyal